/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

html {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), #55334A;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  font-family: 'Inter', sans-serif;
  overflow-x: hidden!important;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

a {
  text-decoration: none;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
   scroll-behavior: auto;
  }
  
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

.app {
  overflow-x: hidden!important;
}

.authLnks {
  color: #787777!important;
}

.currentLink {
  color: var(--main-color)!important;
}

.streaming__container {
  display: grid;
  height: 100vh;
  grid-template-columns: 1fr 4.7fr;
  grid-template-areas: 
    "sidebar subpage subpage subpage"
    "sidebar subpage subpage subpage"
    "sidebar subpage subpage subpage"
    "sidebar subpage subpage subpage";
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), #55334A;
    box-shadow: inset 0px 4px 4px #000000;
  transition: .3s ease;
}

.streaming__container_close {
  grid-template-columns: 1fr 12.75fr!important;
}

.streaming__container_close {
  grid-template-columns: 1fr 5fr;
}

.streaming__sidebar {
  grid-area: sidebar;
  height: 100%;
  width: 240px;
  position: fixed;
  background: linear-gradient(189.98deg, rgba(165, 6, 181, 0) 29.97%, rgba(165, 6, 181, 0.2) 53.78%, rgba(165, 6, 181, 0.17431) 75.47%), #010001;
  box-shadow: 2px 4px 28px 5px rgba(165, 6, 181, 0.15);
  padding: 12px;
  color: var(--white-color);
  transition: .3s ease;
}

.streaming__sidebar_phone {
  grid-area: sidebar;
  height: 100%;
  width: 240px;
  position: fixed;
  background: linear-gradient(189.98deg, rgba(165, 6, 181, 0) 29.97%, rgba(165, 6, 181, 0.2) 53.78%, rgba(165, 6, 181, 0.17431) 75.47%), #010001;
  box-shadow: 2px 4px 28px 5px rgba(165, 6, 181, 0.15);
  padding: 12px;
  color: var(--white-color);
  transition: .3s ease;
  z-index: 99;
}

.streaming__subpages {
  grid-area: subpage;
  height: 100%;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), #55334A;
  box-shadow: inset 0px 4px 4px #000000;
}

.streaming__sidebar_close {
  width: 100px!important;
}

.sidebar__removed_tags {
  display: none;
}

.streaming__sidebar_brand_close {
  display: flex;
  height: 30px;
  justify-content: center;
  align-items: center;
}

.streaming__sidebar_brand {
  display: flex;
  justify-content: space-between;
  height: 30px;
  align-items: center;
}

.streaming__sidebar_brandname {
  display: flex;
  gap: 10px;
  align-items: self-end;
}

.streaming__sidebar_logo {
  height: 30px;
  width: 30px;
  background-color: var(--main-color);
  border-radius: 50%;
}

.streaming__sidebar_navbar_logo {
  display: flex;
  align-items: flex-end;
  flex-direction: column;
  cursor: pointer;
}

.streaming__sidebar_navbar_logo_short {
  background: white;
  height: 5px;
  width: 16px;
  border-radius: 5px;
  margin-bottom: 7px;
}

.streaming__sidebar_navbar_logo_long {
  background: white;
  height: 5px;
  width: 32px;
  border-radius: 5px;
}

.streaming__sidebar_logo_text {
  font-weight: 700;
  color: white;
}

.streaming__dicebear_image {
  margin: 3rem 0 2rem 0;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.dicebear__container {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  height: 113px;
  width: 113px;
  background: #A506B5;
  box-shadow: inset 6px 4px 4px 6px rgba(83, 211, 252, 0.47);
  transition: .25s ease;
}

.dicebear__container_close {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background: #A506B5;
  box-shadow: inset 6px 4px 4px 6px rgba(83, 211, 252, 0.47);
  transition: .25s ease;
}

.dicebear__container:hover {
  background: #7A008C;
  cursor: pointer;
}

.streaming__dicebear_image h3 {
  margin: 1rem 0;
}

.streaming__avatar_name_display {
  display: none;
}

.streaming__sidebar_underline_container {
  width: 100%;
  height: 1px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 5px;
}

.streaming__sidebar_underline_container {
  background: #480150;
}

.streaming__sidebar_links.streaming__sidebar_links_close {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.streaming__sidebar_links_close a {
  margin-bottom: .25rem;
}

.streaming__sidebar_links_close i {
  font-size: 1.5rem;
}

.streaming__sidebar_menu {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 60%;
}

.streaming__sidebar_links {
  padding: 1rem;
}

.streaming__logo_navlinks {
  display: flex;
  gap: 45px;
  align-items: center;
  padding: 0.5rem;
  font-weight: 300;
  font-size: 15px;
  color: var(--white-color);
}

.streaming__logo_navlinks i {
  opacity: .8;
}

.streaming__logo_navlinks_active {
  font-weight: 700;
  opacity: 1;
  font-size: 16px;
  color: #EE008F;
}

.streaming__logo_navlinks_active {
  opacity: 1;
}

.steaming__sidebar_logout {
  display: flex;
  justify-content: center;
  align-items: center;
}

.steaming__sidebar_logout button {
  border: 3px solid #A506B5;
  border-radius: 50px;
  cursor: pointer;
  width: 100%;
  padding: .5rem;
  background: transparent;
  color: var(--main-color);
  font-weight: 500;
  transition: .3s;
}

.steaming__sidebar_logout:hover button {
  box-shadow: 0 10px 36px rgba(124, 7, 136, .5);
}

/* Avatar modal */

.streaming__avatar_modifier_container {
  position: fixed;
  height: 100vh;
  width: 100vw;
  background: rgba(0,0,0, .95);
  z-index: 99;
}

.streaming__avatar_modifer_box {
  max-width: 500px;
  height: 550px;
  transform: translateY(10%);
  margin-left: auto;
  margin-right: auto;
  left: 0;
  right: 0;
  background: linear-gradient(212.41deg, rgba(165, 6, 181, 0.2) 40.83%, rgba(165, 6, 181, 0) 100%), #010001;
  box-shadow: 2px 4px 25px 5px rgba(165, 6, 181, 0.25);
  border-radius: 10px;
  border: 1px solid rgba(0,0,0, .05);
  display: flex;
  justify-content: flex-start;
  padding: 1rem;
  flex-direction: column;
  align-items: center;
  color: var(--white-color);
  overflow-y: hidden;
  transition: .3s ease;
  animation:slide-in-fwd-center .4s cubic-bezier(.25,.46,.45,.94) both
}

/* ----------------------------------------------
 * Generated by Animista on 2022-11-9 11:45:1
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

@keyframes slide-in-fwd-center{
  0%{
    transform:translateZ(-1400px);
    opacity:0
  }100%{
    transform: translateY(10%);
    opacity:1
  }
}

.streaming__avatar_modifer_box:hover {
  overflow-y: scroll;
}

.streaming__avatar_modifer_box::-webkit-scrollbar {
  width: 0;
}

.streaming__avatar_modifer_box::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}
 
.streaming__avatar_modifer_box::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 1px solid slategrey;
}

.streaming__avatar_modifer_box h3 {
  font-size: 28px;
  padding: 0 5rem;
  text-align: center;
  margin-top: 1.5rem;
  font-weight: 600;
}

.streaming__avatar_mbox {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 100%;
}

.streaming__avatar_mbox_formContent {
  height: 415px;
  width: 409px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.straming__avatar_mbox_image {
  background: #A506B5;
  box-shadow: inset 6px 4px 4px 6px rgba(83, 211, 252, 0.47);
  border-radius: 50%;
  padding: .5rem;
  transition: .3s ease;
  margin-bottom: 1rem;
  margin-top: 2rem;
}

.straming__avatar_mbox_image:hover {
  background: #EE008F;
}

.streaming__avatar_toggle_options {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.streaming__avatar_toggle_options h5 {
  font-size: 18px;
  font-weight: 500!important;
  margin-bottom: 1.25rem;
}

.streaming__avatar_toggle_buttons {
  display: grid;
  height: 80px;
  grid-template-columns: repeat(5, 50px);
  grid-template-areas: 
    "option1 option2 option3 option4 option5"
    "option6 option7 option8 option9 option10";
    grid-gap: 7px;
}

.streaming__avatar_toggle_buttons button {
  border-radius: 7px;
  outline: none;
  border: none;
  cursor: pointer;
  background: white;
  color: black;
  font-weight: 600;
  font-size: 14px;
}

.avatar__toggled_option {
  background: var(--main-color)!important;
  color: var(--white-color)!important;
}

.streaming__avatar_toggle_buttons button:hover {
  background: var(--main-color);
  color: var(--white-color);
}

.option1 {
  grid-area: option1;
}

.option2 {
  grid-area: option2;
}

.option3 {
  grid-area: option3;
}

.option4 {
  grid-area: option4;
}

.option5 {
  grid-area: option5;
}

.option6 {
  grid-area: option6;
}

.option7 {
  grid-area: option7;
}

.option8 {
  grid-area: option8;
}

.option9 {
  grid-area: option9;
}

.option10 {
  grid-area: option10;
}

.streaming__avatar_toggle_gender_buttons {
  display: grid;
  height: 40px;
  grid-template-columns: repeat(2, 136.5px);
  grid-template-areas: 
    "option1 option2";
    grid-gap: 5px;
}

.streaming__avatar_toggle_gender_buttons button {
  border-radius: 7px;
  outline: none;
  border: none;
  cursor: pointer;
  background: white!important;
  color: black;
  font-weight: 600;
  font-size: 14px;
}

.streaming__avatar_toggle_gender_buttons button i {
  margin-right: .25ren;
}

.option_gender01 {
  grid-area: option1;
}

.option_gender02 {
  grid-area: option2;
}



.streaming__avatar_toggle_skin_buttons {
  display: grid;
  height: 100px;
  grid-template-columns: repeat(2, 136.5px);
  grid-template-areas: 
    "option1 option2"
    "option3 option4"
    "option5 option5";
    grid-gap: 5px;
}

.streaming__avatar_toggle_skin_buttons button {
  border-radius: 7px;
  outline: none;
  border: none;
  cursor: pointer;
  background: white!important;
  color: black;
  font-weight: 600;
  font-size: 14px;
}

.option_gender01 {
  grid-area: option1;
}

.option_gender02 {
  grid-area: option2;
}

.option_gender03 {
  grid-area: option3;
}

.option_gender04 {
  grid-area: option4;
}

.option_gender05 {
  grid-area: option5;
}

.streaming__avatar_mbox_buttons {
  padding: 1.25rem 0 0 0;
  width: 67.974%;
}

.streaming__avatar_mbox_buttons button {
  width: 100%;
  padding: .75rem;
  border-radius: 7px;
  font-weight: 500;
  background: #FF8B4E;
  color: white;
  font-size: 13px;
  cursor: pointer;
  transition: .3s ease;
  border: none;
}

.streaming__avatar_mbox_buttons button:hover {
  background: #F46500;
}

.streaming__avatar_mbox_buttons_next {
  padding: 1.25rem 0 0 0;
  width: 67.974%;
}

.streaming__avatar_mbox_buttons_next button {
  width: 100%;
  padding: .75rem;
  border-radius: 7px;
  font-weight: 500;
  background: #0092F9;
  color: white;
  font-size: 13px;
  cursor: pointer;
  transition: .3s ease;
}

.streaming__avatar_mbox_buttons_next button:hover {
  background: #007BFF;
}

.streaming__avatar_mbox_buttons_option {
  display: flex;
  width: 67.974%;
  gap: 5px;
}

.streaming__avatar_mbox_buttons_option button {
  width: 100%;
  padding: .75rem;
  border-radius: 7px;
  font-weight: 500;
  color: white;
  font-size: 13px;
  cursor: pointer;
  transition: .3s ease;
  outline: none;
  border: none;
  margin-top: .75rem;
}

.streaming__avatar_mbox_buttons_prevStep {
  background: #AF83B0;
}

.streaming__avatar_mbox_buttons_prevStep:hover {
  background: #B6A7B6
}

.streaming__avatar_mbox_buttons_nextStep {
  background-color: #0092F9;
}

.streaming__avatar_mbox_buttons_nextStep:hover {
  background: #007BFF;
}

.streaming__avatar_mbox_progress_radio {
  width: 100%;
  height: 30px;
  margin-top: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  transition: .3s ease;
}

.streaming__avatar_mbox_progress_radio div {
  height: 10px;
  width: 10px;
  border-radius: 50%;
  background: #FFE7FF;
}

.active__progress_radio {
  background: var(--main-color)!important;
}

.avatar__straming_error_msg i {
  margin-right: 5px;
}

.avatar__straming_error_msg p {
  width: 100%;
  padding: 1rem;
  background: #DE0088;
  color: var(--white-color);
  border-radius: 10px;
}

.steaming__sidebar_logout button i {
  margin-right: .5rem;
}

.streaming__logging_out button i {
  font-size: 1.5rem;
}

.streaming__sidebar_navbar_logo i {
  font-size: 1.5rem;
}

.streaming_home_burger_icons {
  color: white;
  position: absolute;
  z-index: 70;
  display: none;
}

.streaming__userProfile .streaming_userProfile_small_devices_navbar {
  display: none;
}

.subscribe_channel_info_phone {
  display: none;
}

.streaming_watch_showComments {
  display: flex;
  width: 100%;
  justify-content: center;
  margin: 2rem 0;
}

.streaming_watch_showComments .showComments {
  display: flex;
  gap: 10px;
  align-items: center;
  padding: 0.75rem;
  border-radius: 28px;
  background: rgba(165, 6, 181, .2);
  cursor: pointer;
  transition: all .5s ease;
  justify-content: center;
  color: rgba(255,255,255, .8);
}

.streaming_watch_showComments .showComments:hover {
  background: #EE008F;
  color: rgba(255,255,255, 1)!important;
}

/* Phones */
@media screen and (max-width: 376px) {
  .streaming__container {
    display: flex!important;
    flex-direction: column!important;
  }
  .streaming__sidebar {
    z-index: 99!important;
    /* display: none!important; */
  }

  .streaming__home {
    height: 100vh!important;
  }

  .streaming__home_banner_callToActions {
    flex-direction: column!important;
    height: 50%!important;
    align-items: center!important;
    justify-content: center!important;
    padding: 0!important;
    position: absolute!important;
    bottom: 0!important;
    gap: 0!important;
  }

  .streaming__home_banner_CTA_right small,
  .streaming__home_banner_CTA_right h4 {
    text-align: center;
  }

  .streaming_home_burger_icons {
    display: flex;
    margin: 1rem 2.75rem;
  }

  .streaming_home_burger_icons {
    font-size: 1.75rem;
  }

  .streaming__sidebar_menu {
    height: 56%;
  }

  .streaming__userProfile {
    padding: 1rem 0.75rem!important;
  }

  .streaming__userProfile .streaming_userProfile_small_devices_navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .streaming_userProfile_small_devices_navbar .streaming_userProfile_brand {
    display: flex;
    align-items: center;
    gap: 10px;
  }

  .streaming_userProfile_infoTabs_tabphane div {
    font-size: 13px!important;
  }

  .streaming_userProfile_infoTabs_TB_featured {
    margin: 0!important;
  }

  .streaming_userProfile_infoTabs_TB_featured_video {
    max-width: 315px!important;
    max-height: 315px!important;
  }

  .streaming_userProfile_infoTabs_TB_featured_user_uploads {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .streaming_userProfile_infoTabs_Tb_featured_USfeatured {
    justify-content: center;
  }

  .streaming_userProfile_infoTabs_Tb_featured_USfeatured .playlist_form {
    flex-direction: column!important;
    width: 95%!important;
    background-image: none!important;
  }

  .streaming_userProfile_infoTabs_Tb_featured_USfeatured .subscribed_channel_container {
    padding: 0!important;
  }

  .subscribed_channel_cardList .subscribed_channel_image_container {
    max-width: 60px!important;
    max-height: 60px!important;
    width: 60px!important;
    height: 60px!important;
  }

  .subscribed_channel_container .subscribed_channel_cardList {
    width: 100%!important;
  }

  .subscribed_channel_CTA button {
    padding: .5rem 1rem!important;
    font-size: 13px!important;
  }
  
  .subscribe_channel_info_phone {
    display: flex;
    flex-direction: column;
  }

  .subscribed_channel_info_container h3 {
    font-size: 13px!important;
  }

  .subscribed_channel_info_container small {
    font-size: 11px!important;
  }

  .playlist_img_container img {
    max-width: 230px!important;
  }

  .streaming__watch_content_container {
    justify-content: baseline!important;
    flex-direction: column!important;
    padding: 2rem 1rem!important;
  }

  .streaming_watch_left_vc_videoInfo_titleInfo h4 {
    font-size: 1rem!important;
  }

  .streaming_watch_left_vc_videoInfo_titleInfo_callToActionButtons {
    flex-direction: column;
    align-items: flex-start!important;
  }

  .streaming_watch_left_artist_subscribeBtn button {
    padding: .5rem 1rem!important;
  }

  .streaming_watch_left_artist_likes_and_dislikes button:nth-child(2), .streaming_watch_left_artist_likes_and_dislikes button:nth-child(3) {
    padding: 0.5rem 1rem!important;
    font-size: 13px!important;
  }

  .streaming__watch_navbar {
    padding: .75rem 1rem!important;
  }

  .streaming_settings_uploader_container {
    padding: 1rem!important;
  }

  .streaming__settings_uploaderContent_thumbnailUploader {
    flex-direction: column!important;
  }

  .streaming__settings_uploader_content_container {
    height: 100%!important;
  }

  .streaming__settings_uploaderContent_thumbnailUploader .streaming_configs {
    height: 250px!important;
    width: 80%!important;
  }

  .streaming_configs.streaming__settings_video_uploader {
    margin-top: 2rem!important;
  }

  .streaming_configs.streaming__settings_wallpaper_uploader {
    margin-bottom: 2rem!important;
  }

  .streaming__settings_uploaderContent_inputforms {
    padding: 2rem 1rem!important;
    flex-direction: column!important;
    gap: 0!important;
  }

  .streaming__settings_video_uploader input, .streaming__settings_wallpaper_uploader input, .streaming__settings_thumbnail_uploader input {
    width: 100%!important;
  }

  .streaming__settings_UCI_left_form_groups {
    margin-top: 2rem;
  }

  .streaming_settings_uploader_pageDiv_title {
    width: 70%!important;
  }

  .user_management_basicInfo .form_div {
    width: 100%!important;
  }

  .user_management_featured_forms {
    flex-direction: column!important;
    gap: 50px!important;
  }

  .notfound-404 h1 {
    font-size: 165px!important
  }

  .notfound-404 h2 {
    font-size: 33px!important;
    letter-spacing: 2px!important
  }

  .streaming_error_homeBtn button {
    padding: .75rem 1rem;
  }

  .user_management_featured_update_wallpaper_img {
    max-width: 290px!important;
    width: 290px!important;
  }

  .user_management_featured_update_wallpaper_img small {
    font-size: 11px!important;
  }

  .streaming_settings_uploader_currentLink h4, .streaming_settings_uploader_currentLink i {
    font-size: 15px!important;
  }

  .streaming_watch_right_content_descriptions_date_span {
    flex-direction: column!important;
}
}

.loading-spinner {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

@keyframes ldio-mcqf3cxeka {
  0% { transform: rotate(0deg) }
  50% { transform: rotate(180deg) }
  100% { transform: rotate(360deg) }
}
.ldio-mcqf3cxeka div {
  position: absolute;
  animation: ldio-mcqf3cxeka 1s linear infinite;
  width: 160px;
  height: 160px;
  top: 20px;
  left: 20px;
  border-radius: 50%;
  box-shadow: 0 4px 0 0 #74007a;
  transform-origin: 80px 82px;
}
.loadingio-spinner-eclipse-7zbbrmv61ij {
  width: 200px;
  height: 200px;
  display: inline-block;
  overflow: hidden;
}

.loadingio-spinner-eclipse-7zbbrmv61ij p {
  text-align: center;
  color: white;
  letter-spacing: 1px;
}

.ldio-mcqf3cxeka {
  width: 100%;
  height: 100%;
  position: relative;
  transform: translateZ(0) scale(1);
  backface-visibility: hidden;
  transform-origin: 0 0; /* see note above */
}
.ldio-mcqf3cxeka div { box-sizing: content-box; }

/* Small Phones */
@media screen and (max-width: 330px) {
  .streaming_userProfile_infoTabs_TB_featured_video {
    max-width: 265px!important;
    max-height: 315px!important;
  }

  .notfound-404 h1 {
    font-size: 125px!important;
  }

  .notfound-404 h2 {
    font-size: 27px!important;
  }
}


/* Tablet  */

@media screen and (max-width: 1024px) {
  .streaming__container_close {
    grid-template-columns: 1fr 9.1fr!important
  }

  .streaming__home_banner_callToActions {
    justify-content: space-between;
  }

  .streaming__home_banner_callToActions_mid {
    display: none!important;
  }
  .streaming__home_banner_callToActions_mid_sidebarOff {
    display: none!important;
  }

  .streaming_userProfile_infoTabs_tabphane div {
    padding: 0 10px!important;
    font-size: 15px;
    height: 35px;
  }

  .streaming_userProfile_infoTabs_TB_featured_description {
    max-width: 210px!important;
  }

  .streaming_userProfile_infoTabs_Tb_featured_USfeatured .playlist_form {
    width: 65%;
  }
}

/* Deskop Media Queries */
@media screen and (min-width: 1439px) {
  .streaming__container {
    grid-template-columns: 1fr 5.1fr;
  }
}
